%define gnome_menus 3.2.0.1

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Simple menu editor for Gnome
Name:		alacarte
Version:	3.11.91
Release:	%mkrel 7
Group:		System/Configuration
License:	LGPLv2+
URL:		http://www.realistanew.com/projects/alacarte/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	%{name}-icons.tar.bz2
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(libgnome-menu-3.0) >= %gnome_menus
BuildRequires:	intltool
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Provides:	smeg = %{version}-%{release}
Requires:	python-gi
Requires:	gnome-menus

%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q -a1

%build
%configure2_5x -prefix=%{_prefix} --libdir=%{_prefix}/lib

%make_build

%install
%make_install

%find_lang %name --with-gnome --with-help

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%__install -D -m 644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png
%__install -D -m 644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
%__install -D -m 644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png

%files -f %{name}.lang
%doc README AUTHORS COPYING
%py_puresitedir/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/*/%{name}.png
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Oct 14 2016 daviddavid <daviddavid> 3.11.91-7.mga6
+ Revision: 1060710
- fix desktop file Categories (mga#2449)

* Fri Feb 19 2016 umeabot <umeabot> 3.11.91-6.mga6
+ Revision: 969103
- Mageia 6 Mass Rebuild

* Thu Aug 06 2015 shlomif <shlomif> 3.11.91-5.mga6
+ Revision: 861466
- Fix MGA#12153 (patch thx to ysoft): missing dep on gnome-menus.

* Wed Oct 15 2014 umeabot <umeabot> 3.11.91-4.mga5
+ Revision: 747798
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.11.91-3.mga5
+ Revision: 677731
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.11.91-2.mga5
+ Revision: 628099
- Rebuild for new Python

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600251
- new version 3.11.91

* Sat Nov 02 2013 fwang <fwang> 3.10.0-3.mga4
+ Revision: 548850
- add requires on python-gi

* Sun Oct 20 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536774
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485534
- new version 3.10.0

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474842
- new version 3.9.91

* Fri May 24 2013 dams <dams> 3.7.90-1.mga4
+ Revision: 426199
- new version 3.7.90

  + fwang <fwang>
    - update rpm group

  + ovitters <ovitters>
    - new version 3.7.3

* Fri Jan 11 2013 umeabot <umeabot> 3.7.2-2.mga3
+ Revision: 345505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 327834
- new version 3.7.2

* Wed Oct 17 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307724
- new version 3.6.1

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279580
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271651
- new version 3.5.4

* Fri Jun 29 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 264892
- Fix requires

* Sun Jun 24 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263331
- drop upstream patch
- new version 3.5.3

* Wed Jun 13 2012 ovitters <ovitters> 0.13.4-2.mga3
+ Revision: 260259
- add patch to fix typo

* Sat Jun 02 2012 ovitters <ovitters> 0.13.4-1.mga3
+ Revision: 253426
- update requires, buildrequires
- new version 0.13.4

* Wed May 23 2012 ovitters <ovitters> 0.13.3-1.mga3
+ Revision: 236006
- use xz tarball
- new version 0.13.3
- clean spec

* Sat Jan 22 2011 blino <blino> 0.13.2-3.mga1
+ Revision: 32665
- imported package alacarte


* Sun Nov 21 2010 Jani Välimaa <wally@mandriva.org> 0.13.2-3mdv2011.0
+ Revision: 599589
- fix file list
  - own unowned data dir
  - don't own icon dirs

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.13.2-2mdv2011.0
+ Revision: 590148
- rebuild for python 2.7

* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2011.0
+ Revision: 578496
- update to new version 0.13.2

* Sun Apr 04 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.13.1-1mdv2010.1
+ Revision: 531219
- use %%configure2_5x
- update to 0.13.1

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.4-2mdv2010.1
+ Revision: 521935
- rebuilt for 2010.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.12.4-1mdv2010.0
+ Revision: 446552
- update to new version 0.12.4

* Fri Sep 11 2009 Götz Waschk <waschk@mandriva.org> 0.12.3-1mdv2010.0
+ Revision: 437892
- new version
- update gnome-menus dep

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2010.0
+ Revision: 371818
- update to new version 0.12.1

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2010.0
+ Revision: 371793
- update to new version 0.12.0

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 0.11.10-1mdv2009.1
+ Revision: 356643
- update to new version 0.11.10

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.11.9-1mdv2009.1
+ Revision: 340897
- update to new version 0.11.9

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.11.8-1mdv2009.1
+ Revision: 336522
- update to new version 0.11.8

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.11.7-1mdv2009.1
+ Revision: 331286
- update to new version 0.11.7

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.6-2mdv2009.1
+ Revision: 318559
- rebuild for new python

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 0.11.6-1mdv2009.0
+ Revision: 287290
- new version
- fix license
- cleanup build deps

* Tue Jul 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.11.5-3mdv2009.0
+ Revision: 252942
- fix deps pkg-config/pkgconfig
- fix deps
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.11.5-2mdv2009.0
+ Revision: 220347
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-1mdv2008.1
+ Revision: 185003
- new version

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 169928
- fix installation
- new version

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.11.3-4mdv2008.1
+ Revision: 148441
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 02 2007 Funda Wang <fwang@mandriva.org> 0.11.3-3mdv2008.0
+ Revision: 94724
- fix provides

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.11.3-2mdv2008.0
+ Revision: 88611
- drop old menu


* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2007.0
+ Revision: 120202
- new version

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 0.11.1.1-1mdv2007.1
+ Revision: 107312
- new version
- drop patch

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-2mdv2007.1
+ Revision: 106939
- patch to fix crash on startup

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2007.1
+ Revision: 106142
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.1
+ Revision: 99118
- new version
- drop patch

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-4mdv2007.1
+ Revision: 88485
- patch for python 2.5

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-3mdv2007.1
+ Revision: 76018
- really fix build on x86_64 (fcrozat sucks)

* Thu Nov 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.1-2mdv2007.1
+ Revision: 75797
- Fix build on x86-64, use menudir macro when relevant

  + Götz Waschk <waschk@mandriva.org>
    - Import alacarte

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- drop patches 0,1,2
- New version 0.10.1

* Tue Oct 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-3mdv2007.0
- Update patch0 with cvs fixes
- Patch1: don't hardcode root node name (GNOME bug #355828)
- Ptch2: disable menu inlining for new submenu (GNOME bug #359003)

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-2mdv2007.0
- Patch0: fix menu path in generated file

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.0
- New release 0.10.0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.90-3mdv2007.0
- Fix xdg tag

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 0.9.90-2mdv2007.0
- fix description
- explicit dep on python-gnome-menus
- fix buildrequires

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.90-1mdv2007.0
- New release 0.9.90

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-1mdv2007.0
- Release 0.9.2

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-4mdv2007.0
- Remove patches 0, 1, requires gnome-menus 0.15.4.1

* Fri Jun 16 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-3mdv2007.0
- Fix #23119

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-2mdk
- Patch0: fix compatibility with gnome 2.14
- Patch1: edit mdk menus
- Don't require pyxdg
- don't update icon cache too much when upgrading
- migrate to XDG menu

* Sat May 20 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.8-4mdk
- Oops, error on Requires s/pyxdr/pyxdg/

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.8-3mdk
- Rebuild with the new pyxdg

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 0.8-2mdk
- Fix Requires

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 0.8-1mdk
- First Release

